%define name		libwpd
%define version		0.9.9
%define release		%mkrel 1
%define api_version	0.9
%define lib_major	9
%define lib_name	%mklibname wpd %{api_version} %{lib_major}
%define develname	%mklibname -d wpd 


Summary:	Library for reading/writing WordPerfect files
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPLv2+
Group:		System/Libraries
URL:		http://libwpd.sourceforge.net/
Source:		http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Patch0:		%{name}-0.8.8-stability.patch
Patch1:		%{name}-0.8.8-typedetect.patch
Patch2:		libwpd-gcc4.6.0.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	doxygen
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}gsl-devel
##BuildRequires:	%{_lib}gsf-devel

Obsoletes:  	%name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{name}-tools
Summary:	Tools to transform Wordperfect files to html or text
Group:		Office

%description -n %{name}-tools
Tools to transform Wordperfect files to html or text.
It supports fileimport of all versions of WordPerfect.

%package -n	%{lib_name}
Summary:	Library for reading/writing WordPerfect files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname wpd- 0.8 8

%description -n	%{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
It supports fileimport of all versions of WordPerfect.

%package -n	%{develname}
Summary:	Headers and development files for libwpd
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	libwpd0-devel
Obsoletes:	%mklibname -d wpd- 0.8 8

%description -n	%{develname}
Headers and development files for libwpd.

%prep
%setup -q
##%patch2 -p1

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/*.la


%post -n %{lib_name}
/sbin/ldconfig
 

%postun -n %{lib_name}
/sbin/ldconfig
 

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-tools
%defattr(-,root,root)
%{_bindir}/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libwpd-%{api_version}*.so.*
%{_libdir}/libwpd-stream-%{api_version}*.so.*
%doc README TODO

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/libwpd-%{api_version}.pc
%{_libdir}/pkgconfig/libwpd-stream-%{api_version}.pc
%{_libdir}/libwpd-%{api_version}*.so
%{_libdir}/libwpd-stream-%{api_version}*.so
%{_includedir}/libwpd-%{api_version}
%doc %{_datadir}/doc/libwpd


%changelog
* Mon Sep 16 2013 pinoc <vogtpet at gmail.com> 0.9.9-1pclos2013
- 0.9.9
- removed la-files and compiled with disable static

* Mon May 02 2011 Texstar <texstar at gmail.com> 0.9.1-1pclos2011
- update for 2010/2011

